package org.diagbot.vo.domain;

import lombok.Getter;
import lombok.Setter;
import org.diagbot.pub.Constants;
import org.diagbot.pub.Status;

@Getter
@Setter
public class Response<T> implements java.io.Serializable  {
    private static final long serialVersionUID = 8206448610408409499L;
    private Status status =  Status.PENDING;  //状态
    private long startTime = Constants.INVALIDATE_VALUE;                                  //起始时间
    private long endTime = Constants.INVALIDATE_VALUE;                                    //结束时间
    private String version="1.0";
    private String msg = Constants.MSG_SUCCESS;                                  //消息
    private T data = null;                                                                //序列化后的结果数据
    // 返回结果标志，默认成功0,失败 1 参数错误 -1 token丢失-2
    private int ret = Constants.RET_SUCCESS;

    private String token;
    //耗时
    private long timeConsum;
}
