package org.diagbot.entity.node;

import org.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;

@NodeEntity(label = "Person")
@Getter
@Setter
public class Person extends BaseNode {

    @Property(name = "name")
    private String name;

    @Property(name = "born")
    private int born;
}