package org.diagbot.entity.relation;


import org.diagbot.entity.node.Disease;
import org.diagbot.entity.node.LIS;
import org.diagbot.entity.relation.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.EndNode;
import org.neo4j.ogm.annotation.RelationshipEntity;
import org.neo4j.ogm.annotation.StartNode;

@RelationshipEntity(type = "推荐")
@Getter
@Setter
public class TJ extends BaseRelation {
    @StartNode
    private Disease startNode;

    @EndNode
    private LIS endNode;

}
