package org.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description: AmendRelation
 * @author: Mark Huang
 * @Time: 2019/04/04 :13:20
 *
 */
@Getter
@Setter
public class AmendRelationVo {
    @NotNull(message = "请输入原始节点ID")
    private int id;

    @NotNull(message = "请输入原始节点名称")
    private String old_start_name;

    @NotNull(message = "请输入原始节点类型")
    private String old_start_type;

    private String old_rel_name;

    private String new_rel_name;

    private String new_start_name;

    private String new_start_type;

    private String old_end_name;

    private String old_end_type;

    private String new_end_name;

    private String new_end_type;
}
